module.exports = {
  development: {
    app: {
      name: 'Project Page Manager',
      port: process.env.PORT || 8888
    },
    passport: {
      strategy: 'saml',
      saml: {
        path: process.env.SAML_PATH || '/saml/SSO',
        entryPoint: process.env.SAML_ENTRY_POINT || 'saml entry URL',
        issuer: 'saml issuer URL',
        logoutUrl: 'saml Logout URL'
      }
    },
    database: {
      user: 'usernamedb',          // DB username
      password: 'passworddb',  // DB password
      port: 3306,                 // MySQL port
      dbUser: 'userdb',           // User DB
      host_project: 'localhost', // local
      dbProject: 'projectdb'     // Project DB
    },
    mailer: {
      host: 'mailhost',  // hostname
      secureConnection: false,        // TLS requires secureConnection to be false
      port: 587,                      // port for secure SMTP
      authUser: 'usernamemail',
      authPass: 'passwordmail',
      tlsCiphers: 'SSLv3',
      from: 'email_from',
    }
  },
  testing: {
    app: {
      name: 'Project Page Manager',
      port: process.env.PORT || 8888
    },
    passport: {
      strategy: 'saml',
      saml: {
        path: process.env.SAML_PATH || '/saml/SSO',
        entryPoint: process.env.SAML_ENTRY_POINT || 'saml entry URL',
        issuer: 'saml issuer URL',
        logoutUrl: 'saml Logout URL'
      }
    },
    database: {
      user: 'usernamedb',          // DB username
      password: 'passworddb',  // DB password
      port: 3306,                 // MySQL port
      dbUser: 'userdb',           // User DB
      host_project: 'localhost', // local
      dbProject: 'projectdb'     // Project DB
    },
    mailer: {
      host: 'mailhost',  // hostname
      secureConnection: false,        // TLS requires secureConnection to be false
      port: 587,                      // port for secure SMTP
      authUser: 'usernamemail',
      authPass: 'passwordmail',
      tlsCiphers: 'SSLv3',
      from: 'email_from',
    }
  },
  production: {
    // to be defined
  }
}
